org.richfaces.component.html

## Enum HtmlMessages.Properties

- java.lang.Object
- - java.lang.Enum<HtmlMessages.Properties>
  - - org.richfaces.component.html.HtmlMessages.Properties

- All Implemented Interfaces:
    Serializable, Comparable<HtmlMessages.Properties>
  Enclosing class:
    HtmlMessages

      protected static enum HtmlMessages.Properties
      extends Enum<HtmlMessages.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajaxRendered`
    `dir`
    `disabled`
    `escape`
    `keepTransient`
    `lang`
    `onclick`
    `ondblclick`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `style`
    `styleClass`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HtmlMessages.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlMessages.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ajaxRendered

          public static final HtmlMessages.Properties ajaxRendered

    - #### dir

          public static final HtmlMessages.Properties dir

    - #### disabled

          public static final HtmlMessages.Properties disabled

    - #### escape

          public static final HtmlMessages.Properties escape

    - #### keepTransient

          public static final HtmlMessages.Properties keepTransient

    - #### lang

          public static final HtmlMessages.Properties lang

    - #### onclick

          public static final HtmlMessages.Properties onclick

    - #### ondblclick

          public static final HtmlMessages.Properties ondblclick

    - #### onkeydown

          public static final HtmlMessages.Properties onkeydown

    - #### onkeypress

          public static final HtmlMessages.Properties onkeypress

    - #### onkeyup

          public static final HtmlMessages.Properties onkeyup

    - #### onmousedown

          public static final HtmlMessages.Properties onmousedown

    - #### onmousemove

          public static final HtmlMessages.Properties onmousemove

    - #### onmouseout

          public static final HtmlMessages.Properties onmouseout

    - #### onmouseover

          public static final HtmlMessages.Properties onmouseover

    - #### onmouseup

          public static final HtmlMessages.Properties onmouseup

    - #### style

          public static final HtmlMessages.Properties style

    - #### styleClass

          public static final HtmlMessages.Properties styleClass

    - #### title

          public static final HtmlMessages.Properties title

  - ### Method Detail

    - #### values

          public static HtmlMessages.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlMessages.Properties c : HtmlMessages.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlMessages.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.